{
  "settings": {
    "components": {
      "code": true,
      "binaries": false
    },
    "targetId": "",
    "targetDisplayName": ".NET 8.0"
  },
  "analysisStartTime": "2024-07-29T13:32:41.4251125Z",
  "analysisEndTime": "2024-07-29T13:32:58.6631961Z",
  "privacyModeHelpUrl": "https://go.microsoft.com/fwlink/?linkid=2270980",
  "stats": {
    "summary": {
      "projects": 2,
      "issues": 2,
      "incidents": 2,
      "effort": 2
    },
    "charts": {
      "severity": {
        "Mandatory": 2,
        "Optional": 0,
        "Potential": 0,
        "Information": 0
      },
      "category": {
        "NuGet": 1,
        "Project": 1
      }
    }
  },
  "projects": [
    {
      "path": "SumaTube.csproj",
      "startingProject": true,
      "issues": 1,
      "storyPoints": 1,
      "ruleInstances": [
        {
          "incidentId": "1161414d-b2e4-4447-9d34-e811b563e1c5",
          "ruleId": "NuGet.0001",
          "projectPath": "SumaTube.csproj",
          "state": "Active",
          "location": {
            "snippetModel": {
              "unrestricted": "Microsoft.VisualStudio.Azure.Containers.Tools.Targets, 1.19.4\n\nRecommendation:\n\nNo supported version found",
              "protected": "Microsoft.VisualStudio.Azure.Containers.Tools.Targets, 1.19.4\n\nRecommendation:\n\nNo supported version found"
            },
            "kind": "File",
            "path": "SumaTube.csproj",
            "snippet": "Microsoft.VisualStudio.Azure.Containers.Tools.Targets, 1.19.4\n\nRecommendation:\n\nNo supported version found",
            "protectedSnippet": "Microsoft.VisualStudio.Azure.Containers.Tools.Targets, 1.19.4\n\nRecommendation:\n\nNo supported version found",
            "label": "Microsoft.VisualStudio.Azure.Containers.Tools.Targets 1.19.4"
          }
        }
      ]
    },
    {
      "path": "C:\\vscode\\SumaTube.me.mvc\\SumaTube.Domain\\SumaTube.Domain.csproj",
      "startingProject": true,
      "issues": 1,
      "storyPoints": 1,
      "ruleInstances": [
        {
          "incidentId": "2fdd89a6-9f8d-4428-8845-41d048dcaf73",
          "ruleId": "Project.0002",
          "projectPath": "C:\\vscode\\SumaTube.me.mvc\\SumaTube.Domain\\SumaTube.Domain.csproj",
          "state": "Active",
          "location": {
            "snippetModel": {
              "unrestricted": "Current: net7.0\nNew: net8.0",
              "protected": "Current: net7.0\nNew: net8.0"
            },
            "kind": "File",
            "path": "C:\\vscode\\SumaTube.me.mvc\\SumaTube.Domain\\SumaTube.Domain.csproj",
            "snippet": "Current: net7.0\nNew: net8.0",
            "protectedSnippet": "Current: net7.0\nNew: net8.0"
          }
        }
      ]
    }
  ],
  "rules": {
    "NuGet.0001": {
      "id": "NuGet.0001",
      "description": "NuGet package is incompatible with selected target framework.\n\nPackage needs to be upgraded to a version supporting selected project target framework. If there no new package versions supporting new target framework, different package needs to be used and all code needs to be upgraded to new API.",
      "label": "NuGet package is incompatible",
      "severity": "Mandatory",
      "effort": 1,
      "links": [
        {
          "url": "https://go.microsoft.com/fwlink/?linkid=2262529",
          "isCustom": false
        }
      ]
    },
    "Project.0002": {
      "id": "Project.0002",
      "description": "Project\u0027s target framework(s) needs to be changed to the new target framework that you selected for this upgrade.\n\nDuring upgrade target framework will be adjusted to correspinding platform when applicable. In some cases project would result in multiple target frameworks after the upgrade if it was using features that now have their own platforms in moderrn .NET frameworks (windows, iOS, Android etc).",
      "label": "Project\u0027s target framework(s) needs to be changed",
      "severity": "Mandatory",
      "effort": 1,
      "links": [
        {
          "title": "Overview of porting from .NET Framework to .NET",
          "url": "https://go.microsoft.com/fwlink/?linkid=2265227",
          "isCustom": false
        },
        {
          "title": ".NET project SDKs",
          "url": "https://go.microsoft.com/fwlink/?linkid=2265226",
          "isCustom": false
        }
      ]
    }
  }
}